﻿using System.Collections.Generic;
using System.Linq;
using System.Web;
using EPiServer.Cms.Shell;
using EPiServer.Cms.Shell.UI.Rest.ContentQuery;
using EPiServer.Core;
using EPiServer.ServiceLocation;
using EPiServer.Shell.Search;
using EPiServer.Shell.ViewComposition;

namespace EPiServer.Templates.Alloy.UIExtensions.CustomSearch
{
    /// <summary>
    /// Component showing things to do for the editor like unpublished content, things to review etc.
    /// </summary>
    [Component(
            Categories = "cms",
            WidgetType = "alloy.components.CustomSearch",
            //Define language path to translate Title/Description.
            //LanguagePath = "/episerver/cms/components/tasks";
            Title = "Custom Search",
            Description = "Test of custom search",
            SortOrder = 120,
            PlugInAreas = PlugInArea.AssetsPanel
            )]
    public class CustomSearch
    { }
}